/*
	Delete the staging tables used in the migration
*/
IF EXISTS (
		SELECT *
		FROM sys.objects
		WHERE object_id = OBJECT_ID(N'[dbo].[stgDeviceCollectionMembers]')
			AND type IN (N'U')
		)
	DROP TABLE [dbo].[stgDeviceCollectionMembers]
GO

IF EXISTS (
		SELECT *
		FROM sys.objects
		WHERE object_id = OBJECT_ID(N'[dbo].[stgDevicesIDWithInstallUpdates]')
			AND type IN (N'U')
		)
	DROP TABLE [dbo].stgDevicesIDWithInstallUpdates
GO

IF EXISTS (
		SELECT *
		FROM sys.objects
		WHERE object_id = OBJECT_ID(N'[dbo].[stgDevicesIDWithMissingUpdates]')
			AND type IN (N'U')
		)
	DROP TABLE [dbo].stgDevicesIDWithMissingUpdates
GO

IF EXISTS (
		SELECT *
		FROM sys.objects
		WHERE object_id = OBJECT_ID(N'[dbo].[stgDevicesWithInstalledUpdates]')
			AND type IN (N'U')
		)
	DROP TABLE [dbo].stgDevicesWithInstalledUpdates
GO

IF EXISTS (
		SELECT *
		FROM sys.objects
		WHERE object_id = OBJECT_ID(N'[dbo].[stgDevicesWithMissingUpdates]')
			AND type IN (N'U')
		)
	DROP TABLE [dbo].stgDevicesWithMissingUpdates
GO

IF EXISTS (
		SELECT *
		FROM sys.objects
		WHERE object_id = OBJECT_ID(N'[dbo].[stgSoftwareUpdates]')
			AND type IN (N'U')
		)
	DROP TABLE [dbo].stgSoftwareUpdates
GO

