/*
	Remove all Software Update results with a null result (possibly from an error).

	  !! Make sure to set the @SnapshotID below to the number in the URL of the snapshot you want to migrate


*/

/*!!!!!!!!!!!!!!!!!!!!!*/
DECLARE @SnapshotID int = 15 -- <<<< Set this to the number in the URL of the snapshot you want to migrate
/*!!!!!!!!!!!!!!!!!!!!!*/

DELETE aer
	FROM rct.SnapshotConfigs sc
	INNER JOIN rct.ActionExecutionGroups aeg on aeg.SnapshotConfigID = sc.SnapshotConfigID
	INNER JOIN rct.ActionExecutionSet aes on aes.ActionExecutionGroupID = aeg.id
	INNER JOIN dbo.ActionExecutions ae on aes.ActionExecutionID = ae.id
	INNER JOIN dbo.ActionExecutionResults aer on aer.ActionExecutionID = ae.id
	INNER JOIN dbo.RecastActions ra on ra.Id = ae.ActionID
	WHERE sc.type = 4
	AND ra.[name] = 'GetAllSoftwareUpdates'
	AND aer.SerializedValue is null
	AND aeg.ID = @SnapshotID
